Home Page

Welcome to HoverDesk

HVDlogo.gif (5842 bytes)

A Complete and Powerful Windows Desktop Replacement.

themedefault.jpg (13922 bytes)

© 2000-2002 Hover Inc.
Thibaud DJIAN - Russ SCHWENKLER


Toc

HVDlogo.gif (5842 bytes)

Introduction
What is Hoverdesk?

Configuration and Use
Installation
The Main Tile
General Configuration Settings
Theme Configuration Settings
Creating New Tiles
Changing Tile Properties
Hover Effects Explained
Creating New Groups
Configuring the Taskbar
About the "Start" menu and Pop-up Menu
Wallpapers and Theme Info
About the Plug-Ins
Creating a New Theme
Debugging and Perfecting Themes
Tips and Tricks
Running HoverDesk as a shell

Information
 HoverDesk Links
How to Register
Disclaimer/License
Contact Us


intro

HoverDesk - A new desktop!

Screens.gif (39267 bytes)
Hoverdesk is a new way of organizing and launching your favorite applications, files and web shortcuts. With Hoverdesk you can lose that cluttered Windows desktop and all those icons. Clean up the look of your desktop with a custom Tasktray and movable/hidable Systray. Keep track of system performance with Hoverdesk's system metering plugin. Expand your desktop space with Hoverdesk's standard Virtual Window Manager.

Make Hoverdesk look like anything you want

Hoverdesk is skinnable. It means you can change its look and choose whatever you fancy. Besides the gorgeous themes included with the install program, you will find lots more on the Net. And if you don't find the perfect theme for you, well... design it yourself ! Try it, it's easy!

Hoverdesk is shareware

HoverDesk is shareware. Buy today a time-unlimited licence with cost free upgrades for only 19.95$!
Click HERE and you will be taken to a secured website in order to fill out some required information. Then send us your serial number and you'll receive a registration code under 48 hours.


Install

Installation:

Double-click HVDsetup.exe, then follow the wizard.

When you launch Hoverdesk for the first time, the default Theme will be loaded.

Note : Hoverdesk doesn't write anything outside of its own folder, Nothing is added to the Registry or the Windows folder.

Registration:

HoverDesk is shareware. Buy a time-unlimited licence for only 19.95$!
Click on the Register button and you will be taken to a secured website in order to fill out some required information. You'll receive a registration code within 48 hours.

If you prefer paying by mail, you can print the Order Form (Order.rtf) in the Hoverdesk directory.

When your purchase HoverDesk, you will receive a registration email with a pesonalized unlock code and registration instructions. Until you receive a registration code, do not enter anything into the registration dialog box. Entering fictious information will invalidate your trial period!

Installing downloaded themes:

After you download a theme from one of the various theme sites on the web, simply drag the .zip file onto the HVD main tile and Hoverdesk will install your new theme and load it as the current theme.

Additionally, a new option exists for themes saved or downloaded as .hvd files. Just open these .hvd files and HoverDesk will automatically install and load the theme. If HoverDesk is not running, opening a .hvd file will launch the application, install and load the selected theme.


maintile

The Main Tile:

MainTile.gif (4434 bytes)

The main tile is the portal for configuring your Hoverdesk options. It is "usually" found at the top of a Hoverdesk "Dock".

Double Clicking on it will Open/Close the dock
Left Clicking and dragging on it will move the Dock vertically
SHIFT + Left Clicking and dragging will enable to move the Dock all over the Desktop
Right Clicking on it will display the HoverDesk Settings pop-up menu.
Double Right-Click (or Shift + Right-Click) on it will show options for the main tile itself.

Create new tiles by dragging .exe's, files, shortcuts, forlders, or URLs from Explorer windows to the main tile.

NOTE : In 'creative' themes, sometimes the location of the Main Tile is not easy to spot. To find the Main tile, hit the keys the Winkey + H. The Main Tile will start blinking !

Installing downloaded themes:

After you download a theme from one of the various theme sites on the web, simply drag the .zip file onto the HVD main tile and Hoverdesk will install your new theme and load it as the current theme.

Additionally, a new option exists for themes saved or downloaded as .hvd files. Just open these .hvd files and HoverDesk will automatically install and load the theme. If HoverDesk is not running, opening a .hvd file will launch the application, install and load the selected theme.


genconfig

General Configuration:

Right Clicking on the main tile will display a menu from which you can choose configuration.

The General Configuration Dialog:

The general configuration dialog includes the following options:

General Options:

Run HoverDesk on Startup: Enables or disables the running of Hoverdesk upon Windows boot-up.
Run apps with single click: Enables single click application launching from HvD tiles.
Hide Desktop Icons: Show or hide your desktop icons. Choose a hotkey for a show/hide toggle.
HoverDesk Desktop Popup Menu: Enables the desktop pop-up menu. You can configure this menu.
NOTE: that the "Hide Desktop Icons" selection must be checked to use this option.
Menu Editor: Launched the integrated HoverDesk pup-up menu editor.
Confirm Tile Deletion: Enable or disable a confirmation message upon the delete tile command.
Show Tooltips on Buttons: Enables or disables tooltip mouseover effects on tiles.
Show Group Indicator: Enables or disables a small "dot" to indicate group menus.
Power Off on Shutdown:: Enable or disable the Windows ACPI command to power off your system upon HoverDesk system shutdown command.

Visual Options:

Skin HoverDesk context menus: Enables "XP" style menu display for right click options within Hoverdesk.

ContextMenu.gif (1547 bytes)

Alpha Blending : Enables or disables the alpha blended (semi transparent) menu display. You can select a transparency value using the numerical entry field (0 is completely transparent)
Fade effect on menu open : Enables or disables a fading effect when opening submenus
NOTE: You must be running the Windows 2000 / XP Operating System to utilize this feature.

Theme Options:

Use Desktop area in themes: Enables or disables a reserved maximized screen size.
Use wallpaper in themes: Enables or disables the display of custom wallpapers within themes.
Use HoverDesk Taskbar: Enables or disables the HoverDesk TaskBar.
NOTE: This option must be enabled for New tile creation from the taskbar.
Autodetect screen changes: Enables HoverDesk to decect and resize the current theme if a suitable resolution configuration exists within a theme.


ThemeConfig

Theme Configuration:

Right Clicking on the main tile will display a menu from which you can choose configuration. From there you can select Theme Settings

The Theme Settings Configuration Dialog:

ThemeConfig.jpg (62848 bytes)

This dialog sets your default tile creation properties for your theme. It includes the following options:

New Tile Creation:

Normal Texture: Browse to a previously created image for your normal tile texture.
Hover Texture: Browse to a previously created image for your hover tile texture.
Icon Size: Select your desired icon size from the drop-down menu.
Icon Placement: Select your desired icon placement from the drop-down menu.
Tile Color: If you're creating a theme and do not wish to create or use custom images, you can select the tile's background color using a standard Windows color picker.
Font: Select your desired tile font from your installed Windows fonts.
Normal Color: Select the Normal color of Tile text.
Hover Color: Select the Hover (mouse over) color of Tile text.
Show Caption: Enables or disables the display of the tile text label.
Outline Caption: Enables or disables an outline text effect for tile lables.
Drop Shadow: Enables or disables a drop shadow text effect for tile lables.
Shadow Depth: Define the offset of your drop shadow effect.
Shadow Color: Define the color of your drop shadow effect.
Outline Color: Define the color of your outline effect.

Misc Options:

Make Transparent: Textures may incorporate transparency. Use RGB 255,0,255 ("The Great Pink") to define transparent areas. Select Transparent in the Quick Change menu to change an existing tile or check Make Transparent in this dialog to set this as the default for new tiles.
Display Border: Enables or disables a one pixel highlight/shadow border surrounding tiles.
Tip: Use a border when not using custom images for a more finished look.
Auto-close open groups: Enables or disables automatic closing of menu groups when another group is selected or the user click on the desktop. This setting is written to a file in the theme and controls button operation on a per theme basis.
Don't close main dock: Enables or disables the closing of tiles snapped to the main tile.
Don't close groups not on main dock: Enables or disables the closing of tiles not snapped to the main tile.
Snap Distance: Defines a default snap-to "magnet field" for auto snapping to adjacent tiles.
Tip: Too large of a distance can cause positioning errors, especially if the snap distance is larger than the tiles being snapped.

Additional Theme Options:

ThemeMore.jpg (55107 bytes)

Icon Recolorization:

Allows you to custom color existing icons used on tiles and task tiles to match your theme. As you enter specific RGB values, you may preview the color change by watching the sample HoverDesk icon.
A link is provided to our more sophisticated freeware application HoverMatch.

Sound Events:

Open Group: Browse to a .wav file on your system or included within a theme, to be played upon opening a tile group.
Close Group: Browse to a .wav file on your system or included within a theme, to be played upon closing a tile group.
Open Menu: Browse to a .wav file on your system or included within a theme, to be played upon opening a menu.
Close Menu: Browse to a .wav file on your system or included within a theme, to be played upon closing a menu.

Desktop Area:

Enter pixel coordinates below this option to define the maximized screen area. Maximized windows will only fill this area. Useful if you don't want to cover your dock with maximized windows.


Newtiles

You can create a new tile in three ways :

1) Simply drag & drop a file/exe or a link (including a web link) from the Explorer, on the main tile and it will be added to the end on the dock

2) When using HoverDesk Taskbar, hold the SHIFT Key and press Left mouse button on the task tile, then move your mouse over the desktop. It will create a new tile with for that running app using the default properties in the HVD Theme Creation dialog for the newly created tile.

3) Duplicate an existing tile using the Duplicate Tile command from the Right Click pop-up menu

TEXTURES - ICON REPLACEMENT: You can drag & drop any bitmap file and/or custom icon on to a tile to change it's appearance. You may adjust how the tile appears by right clicking and selecting Quick Change. Select Adjust to Icon size or Adjust to Texture size for custom sizing. Textures may incorporate transparency. Use RGB 255,0,255 ("The Great Pink") to define transparent areas. Select Transparent in the Quick Change menu to change an existing tile.

LABELS / CAPTIONS: You can include captions or labels on your tiles. You can choose the following Caption options: Font, Text Color, Text Position, Caption ON/OFF. These can be specified in the New Button creation Defaults in the HoverDesk Configuration Dialog. You can modify these properties after a tile is created by Right Clicking a tile and selecting the desired attribute in the Quick Change menu or Properties menu. Caption content is specified in the Properties Dialog box for each tile.

You can create tiles that are simply decorative (such as "end caps"), by removing the application and icon paths in the tile Properties, or Checking the Decorative tile option.

Z-ORDER: You can also create tiles that provide desktop elements such as borders or "holder" items for docks. Create a tile of any size and right click on it. Select Order and choose from Bottom (just above your wallpaper), Normal or Top (always on top)


tileprop

Changing Tile Properties:

Accessing the tile properties are handled two ways, right clicking on a tile and choosing either "Properties" or "Quick Change". Clicking "Properties" will display a dialog box where you can assign the following properties.

Tile Properties: (appearance dialog box)

Tile Appearance Properties

Caption / Font Settings:

Caption: This is the text that will be displayed on the tile and for tooltips if you choose to display either.
Font: Here, you may select the display font for the caption, as well as the colors for both Normal and Hover states.
Show Caption: Enables caption display on the tile.
Drop Shadow: Enables drop shadow text effect for lables.
Outline Label: Enables outline text effect for lables.
Offset X / Y: Control the horizontal (X & Y axis) text offset in pixels (-1 = centered)

Texture / Icon: You may browse for files to use for Normal and Hover state images. (The preferred method is to Drag'nDrop from an open Windows Explorer window) Use SHIFT+Drag to assign the Hover texture.

Hover Effects:

You may create special hover effect textures for tiles and assign them to the selected tiles by SHIFT+Dragging the hover texture onto the desired tile. Hover textures may be differently sized than the "non-hover" texture.

You may use animated .GIF files for Hover Effect images.
 NOTE: Tile labels will not be displayed on .GIF Hover Effects.

Icon: This is the location of the icon that will be displayed on the tile. This can be stored anywhere on your system. You can also put ".xls" or ".doc" for displaying the default excel/word icon (like for default apps).
 NOTE: you can also assign an icon to a tile by dragging any .ico file from an Explorer window onto a tile.
 NOTE: If you are intending to share your theme, you'll want to include all custom icons along with your image files.

Tile Position:
You may use these coordinates (in screen pixels) to precicely place tiles and / or create custom grouping effects. If this tile is a parent one, then all child tiles will move according those values eg. You can move an all group if you change the X,Y values of the Group tile.

Misc Options:

Transparent: Tile graphics must be pink (RGB: 255,0,255) where transparency is desired.
Border: Enables or disables a one pixel highlight/shadow border surrounding tiles. Tip: Use a border when not using custom images for a more finished look.
Tile Color: If you're creating a theme and do not wish to create or use custom images, you can select the tile's background color using a standard Windows color picker.
Z-Order:Select the desired Z-order value from the drop-down menu.
Icon size: Select the size of the icon to be diplayed on the tile.
Icon Placement: Determines the icon placement in relation to the tiles' label.
Tile Color: If you're creating a theme and do not wish to create or use custom images, you can select the tile's background color using a standard Windows color picker.

Feature Options:

Recipient Tiles: Now you can set your tiles as Recipient ones. To do so, just right-click on a tile and choose "Recipient" When a tile is set as a recipient:

a) The Tile is opening a folder (eg. Application Path = folder/drive path)

If you drop ANY files on that tile (even the .BMP ones) then they will be COPIED into the folder (Application Path).
If you're holding the SHIFT key while dropping files on the tile, then those files will be MOVED into that folder.

b) The Tile is an application (Application Path = exe name or full path+exe name or .EXT)

If you drop ANY files on that tile, then HvD will launch the Application (regarding the Application Path) and open the files dropped with that application.

Example 1: your default BMP editor (Windows setting) is PainShop. If you're creating a tile with .PSD (or photoshop.exe full path) in the application path, then any image files dropped on that tile will be opened by Photoshop.

Example 2: If your tile application path is .TXT, then any dropped files on that tile will launch your default text editor to open those files (useful for text files which don't have a .TXT extension)

Decorative Tiles: You can create special tiles that are decorative in nature and can serve as a base image for other HVD tiles.

To create a decorative tile: create your custom bitmap, make a new tile and assign the Decorative Tile application type. Then you can change the Order to Bottom. Any tiles or groups you place on top of this decorative tile can be associated with it. Right click the group or tile and select Associate. This attaches the group or tile to the image below it. Now if you move the decorative tile, all tiles and groups associated with it will move too!

Tile Properties: (application settings dialog box)

Custom Application or Popup Menu:

Program / Folder / File...: The path to the .exe file or just an application extension (for ex : .doc) with Program in Application Type you wish to launch.
 NOTE: An application also may be assigned to a tile by dragging any .exe file from an Explorer window onto a tile.
 NOTE: An application also may be assigned to a tile by CTRL + dragging any .exe file from an Explorer window onto a tile. This preserves the existing icon that may already be assigned, or prevents an icon from being assigned to a tile that does not have one assigned.
 NOTE: This may also be a file you wish to open or a URL you wish to view.
Parameters: You may specify any standard Windows Run parameters here

HoverDesk Popup Menu: Assigns this tile as a a popup menu launcher. You may edit the contents of the menu using the menu editor.

HoverDesk Internal Application Type:

Predefined Application: You can choose from this menu any one of the default program types. This will launch the default application you have associated with those file types.
Example: You might have Internet Explorer set up as your default web browser. By choosing the web browser default type, you do not need to specify a path. This is handy for themes you wish to share. The user doesn't need to specify a path either, even if they are using Netscape or a different default browser.
Shell Folder / Command: You can select any one of the available system commands to be activated upon tile click.

NOTE: The Application Type list is expandable : Users can add their own application types in the file HvDAppExt.ini (please read carefully the comments inside this file). All application types inside this file will appear in the Predefined App list (Application Settings tab)

Quick Change options:

Quick Change Options

By selecting the "Quick Change" menu (right click on a tile, and select "Quick Change") you can check or uncheck these options:

Transparent: If your custom tile graphic includes transparent areas (RGB 255,0,255), this option enables or disables transparency.
 TIP: disabling transparency, if not needed, increases display performance.

Border: Enables or disables a one pixel highlight/shadow border surrounding tiles.
Tip: Use a border when not using custom images for a more finished look.

Label: Displays an additional menu that allows you to enable or disable the caption display and choose an icon/text layout preference.

Icons: Displays an aditional menu that allows you to choose the default program icon (instead of a custom one) and select the icon display size.
 NOTE: Icons that are not created in larger sizes will be stretched to the chosen display size, and may result in a less attractive appearance.

Tile: Displays an additional menu that allows you to clear the icon from the tile, clear the texture, and adjust the tile display size.

Additional Options:

Position: You can specify the "Z-Order" of a tile. Specify Normal, (just like any other tile), On Top, (always on top), or Bottom, (just above the wallpaper).

Z-ORDER: You can also create tiles that provide desktop elements such as borders or "holder" items for docks. Create a tile of any size and right click on it. Select Order and choose from Bottom (just above your wallpaper), Normal or Top (always on top)

Associate: Used to "attach" a tile or group to a Decorative Tile. (read more about decorative tiles)

Detach: Used to detach a previously associated tile or group from a Decorative Tile. (read more about decorative tiles)
Duplicate Tile: Creates a copy of the selected tile.
Delete Tile: Deletes the selected tile.


HoverFX

Hover Effects Explained:

Hover effects are what we call Mouse Over events. These are created by specifying either a hover color or creating a hover image to be applied to a tile upon mouse over. Hover effects are valid for both tiles and menu items. Each section describes their usage. Additionally within those elements, you may specify the hover effect color for the text or label.

General Use:

Tiles that use only "internal tile colors" will display a color effect determined by the color specified in the General Configuration Dialog.

You may create special hover effect textures for tiles and assign them to the selected tiles by SHIFT+Dragging the hover texture onto the desired tile. Hover textures may be differing sizes than the "non-hover" texture. Tiles without a custom image for the hover effect will display a color effect determined by the color specified in the General Configuration Dialog.

You may use animated .GIF files for Hover Effect images.
NOTE: Tile labels will not be displayed on .GIF Hover Effects.


groups

Using and Creating New Groups:

Groups are sets of tiles that are related. Clicking on a group's "parent" tile will cause the "children" tiles to be displayed. A group is created by dragging an existing tile and "snapping" it to another tile. This creates the "parent/child" relationship.

Moving / Snapping a tile : Hold the SHIFT Key and press the Left mouse button on the tile, then move the tile over the desktop (it will snap automatically - horizontal / vertical) to another tile when approaching the Snap distance (defined in HVD config / Dock creation)

NOTE 1 : You can move an open/closed group and snap it to another tile/group (with the SHIFT key)

NOTE 2 : You can check the option "Show Group indicator" in HVD config panel in order to see which tile is a group.

NOTE 3: You can force Hoverdesk to keep groups that are not part of the main dock open at all times, by checking the option in the HVD Configuration / Theme Creation tab. (Misc Options/Don't close groups)


taskbar

About the TaskBar and the Systray:

Hoverdesk can provide its own TaskBar and Systray. The HoverDesk taskbar has many visual and functional improvements of the the standard Windows taskbar. Allowing HoverDesk to manage your running tasks is recommended. Configuring the HVD Taskbar is done from the HoverDesk Configuration panel. (right click the main tile and select Configure)

Pop-up Task Menu: NEW

You may use a special feature of the HoverDesk menu to access your running tasks. Simply Right Click anywhere on the desktop (other than an existing HoverDesk tile) and you'll see your active and inactive tasks displayed in a menu like form. You may also CTRL+SHIFT+left click over any window, if the open Windows obscure the desktop. Highlight the task you want to change to, and click to change tasks.

TaskbarDialog.gif (18219 bytes)

Within this dialog, you can change the following options:

Taskbar Texture:

Normal Task: Select a custom texture for your normal task tiles (idle).
Active Task: Select a custom texture for your active task tiles (highlighted).
Stretchable section: This setting allows the use of dynamic textures that shrink or expand based upon available space within the Taskbar.
Task tile Max Width: Defines a maximum width for task tiles.
Background: Select a custom texture for the area behind your task tiles.
Transparent Background: Enables or disables background texture transparency (using RGB: 255,0,255 to define transp. areas.)

Taskbar Options:

Show Captions on tile: Enable or disable task captions.
Font Style, Colors: and select your desired display font and the font nomal and active colors.
Taskbar Direction: Choose either a horizontal or a vertical arrangement.
Taskbar Start X: Determines the screen coordinates for the taskbar - offset from the left.
Taskbar Start Y: Determines the screen coordinates for the taskbar - offset from the top.
Taskbar End X: Defines the end of the taskbar section - measured in pixels from the left screen edge.
Dynamic with Systray: Enables a task tile resizing option that prevents the tiles from overlapping the systray area as either area expands.

Misc Options:

TaskbarMoreConfig.gif (13707 bytes)

Icon size/Tile Color:
Here, you may specify the desired display size for the taskbar icons and their position relative to the upper left corner of the task image.

Tip: Changing the icons on the Task tiles: Drag a .ico file from an Explorer window onto an task tile and the default application icon will be replaced with your custom icon.

TileColor: If you're creating a theme and do not wish to create or use custom images, you can select the task background color using a standard Windows color picker

Misc Options:

Make Transparent: If your custom task graphic includes transparent areas (RGB 255,0,255), this option enables or disables transparency. If you're not using a custom texture, icons on task buttons will be transparent by default.
 TIP: disabling transparency, if not needed, increases display performance.

Icon Recolorizing: Enables or disables the icon reclorizing option set up in the Themes Configuration Dialog.
TextureRecolorizing: Enables or disables texture recoloring for XP users.
Show Border: Enables or disables a one pixel highlight/shadow border surrounding tiles. Tip: Use a border when not using custom images for a more finished look.
Group Similar Items: A great space saver. Now you can elect to have windows that are similar (all IE windows for example) clustered together as one task item. When you click on a grouped task you'll see a skinned pop-up that allows you to select which open window to access. By Right Clicking the grouped tasks, you may select to mosaic, minimize or close all the taskes within that group.

GroupedTasks.gif (1023 bytes)

Tasks spacing: Defines the desired visual gap between adjacent tasks in the taskbar.
Outline Label: Enables an outline text effect for Task Labels. You may specify the outline color.
Drop Shadow on Label: Enables an drop shadow text effect for Task Labels. specify the shadow offset.
Shadow Depth: Specifies the depth of the shadow offset.
Tasks spacing: Defines the desired visual gap between adjacent tasks in the taskbar.

Systray Options:

Show SysTray: Checking or unchecking "Show SysTray" will affect the display of the Windows Systray.
Transparent Tray: Checking or unchecking "Transparent Tray" will affect the visual effect applied to the Windows Systray.
Drop Shadow on Icons: Enables an drop shadow text effect for Systray Icons.
HotKey: You can select a hotkey to use as a display toggle for the systray. (CRTL + any key)
Texture: Select a custom texture for your systray.
Stretchable section: This setting allows the use of dynamic textures that shrink or expand based upon the number of icons shown within the Systray.

Msstyles Tray:

Mask Offset X and Y : Defines a pixel offset for transparency masking on XP systray icons. (Used to fix improper Systray transparency)


Pop-ups

About Hoverdesk Popup Menus

Hoverdesk can replace your Windows Start menu with a fully customizable "pop-up" menu. You can create and specify custom images for this menu. You can add Windows commands, all your favorite folders and drives and a whole lot more.

StartMenu.gif (16085 bytes)

Using the menus:

To access a fixed button menu, simply click on the Menu tile and the default Root Menu will appear. Operation is much like the stardard Windows Start Menu. Click on the folder you wish to expand or the command you wish to run. Folders with subdirectories are indicated by an "arrow" image. You can create new Menu Tiles and have different menu content for each one by customizing the menu contents. You can also modify the appearance of your Start Menu.

To access the pop-up menu, Right Click anywhere on your desktop and the menu will appear. A Left Click will hide this menu. You can customize the contents of the pop-up menu to include different entries that the "Menu Button" menus.

NOTE: To access the pop-up menu, you must have "Hide Desktop Icons" enabled in the HoverDesk General Configuration.

The start menu will automatically hide after selecting a file or program.

Left Click on the Top bar will scroll down the menu content
Right-Click ... will scroll up the menu content
Double-Click on the Top bar will close all submenus
Double-click on a Dir entry in the menu/submenu will open that Dir
SHIFT+Left click & move will move the menu/submenu

Task Menu: NEW

You may use a special feature of the HoverDesk menu to access your running tasks. Simply Middle Click anywhere on the desktop (other than an existing HoverDesk tile) and you'll see your active and inactive tasks displayed in a menu like form. You may also CTRL+SHIFT+left click over any window, if the open Windows obscure the desktop. Highlight the task you want to change to, and click to change tasks.

Customizing the menu contents:

Menu Content

You can easily customize both the pop-up menu and the menus on fixed menu tiles by using the Menu Editor. You can select from the list of stock menu commands or add a specific file or directory. To add a selection from the stock commands, simply highlight the desired command and click the Add Selected Item button. To add a path (directory), click the Add a Special Folder button and browse to your desired directory. To add a specific File or Application, click the Add a Special File button and browse to your desired file or .exe.

You may position or delete items within a popup menu by using the right panel and selecting the appropriate button. Menu items may also be dragged within the Current Menu Items list and position by dragging and dropping them where you wish.

Tip: if you delete all your Menu Items list (Menu Editor), HoverDesk will re-create a standard new one.

Customizing the menu appearance and operation:

You can alter the appearance of your custom Start Menu. To do this, You'll create images for the Top, Middle, Middle (Hilite), Spacer, Bottom and the Arrow image. Image transparency is supported using RGB 255,0,255 as the transparent color. You assign these images by using the General Settings Tab of the HoverDesk Menu Editor.

MenuImages.gif (4916 bytes)

Assigning the images and configuring the menu:
Use the browse fields to select the menu images you have created.

Positions:

Title Offset X: The number of pixels relative to the left, the Menu Title text is offset. (-1 = Centered)
Title Offset Y: The number of pixels relative to the top, the Menu Title text is offset. (-1 = Centered)
Title Max Length: Number of pixels limiting the display of a Menu Title.
Item Text Length: Number of pixels limiting the display of a Menu Item text description.
Item Text Offset X: The number of pixels relative to the left, the MenuItem text is offset. (-1 = Centered)
Icon Offset X: The number of pixels relative to the left, the Menu Icons are offset.
Icon Offset Y: The number of pixels relative to the top, the Menu Icons are offset.
Arrow Offset X: The number of pixels relative to the left, the Arrow Images are offset.

Menu Options:

MenuOptions.gif (12314 bytes)

Font Options:

Here, you can specify the menu font, the title text, the color and the Hover color.

Menu Options:

Auto Open Submenus: This option enables or disables the automatic opening of submenus (like Windows) or if left unchecked, requires you to click on a menu selection to expand the submenu.
Delay: Specify a menu opening delay time.
Auto Sort Menu Contents: This option enables or disables alpha sortation of the menu contents (Recommended)
Overlap Submenus: Enable and specify a value for menu overlap to optain certain visual effects.
Use Transparency: This option enablesor disables transparent menu images where you have included transparent (RGB 255,0,255) areas.
Show Icons: This option enables or disables the display of 16x16 pixel icons within the menus.
Show Extensions: This option enables or disables the display of the path and file extensions within the menu (not recommended)
Hide System / Hidden Files: This option enables or disables the display of hidden files within the menu contents (Recommended)
Drop Shadow on Text: This option enables or disables the display drop shadow text effects on menu item text. You may specify an offset value.
Drop Shadow Depth: Defines the visual depth of the shadow effect.

Creating New Fixed Menu Tiles:

Create a Tile as you would create any other new tile. When you assign the Tile Properties, Select Hoverdesk Popup Menu as the Application Type. Then specify the menu contents within the Menu Editor..


Themes

Managing Themes and Wallpapers with Hoverdesk:

You can include a wallpaper in same directory as your theme and when you change to that theme the custom wallpaper will be loaded with that theme. Hoverdesk will read a .bmp or a .jpg file, convert it to .bmp format and instruct Windows to use it as the wallpaper while Hoverdesk is running. If you close Hoverdesk, you old wallpaper will be restored. To add this function to a theme or change the image you'll need to access the Theme Manager.

HoverDesk Theme Saving :
When HoverDesk is saving your theme, all textures / icons which are not located in your theme folder will be automatically copied in your theme folder ! This way, you can be sure that when you'll export your theme, it will include all the necessary bitmaps / icons inside the zip!

The Theme Manager:

ThemeManager.gif (15377 bytes)

Within this dialog, you can change your current theme, back up a theme prior to maiking changes, restore that back up, specify your wallpaper and its properties and enter any custom theme information you require. This dialog will alsoallow you to create a preview image and a full size screenshot as well as package your theme for export and upload to skin sites

New Theme: You will be prompted to name your new theme (often the hardest part), and fill in the author / description details within the Theme Info section.Then just click Create!. A default theme will be created with several common default tiles in place (Template Theme). Now create your theme by dragging and dropping applications (.exe files) icons and custom bitmaps you have created, onto tiles. Create new tiles by dragging .exe files to the main tile.

You may wish to include a custom wallpaper. Don't forget to customize the appearance of the plug-ins and the taskbar.

Apply Changes: This command applies the selected theme, wallpaper image, or updates the theme info after changes are made.
Backup Theme: This function creates a backup of the theme's configuration files (not the images) so you can experiment with differetn settings yet return to a previous configuration if you desire.
Delete Theme: Does just that. Bye, bye theme.
Export Theme: Integrated Export Theme feature : HoverDesk can now export your theme by zipping the folder, generating a full snapshot (if not already existing) and will copy the zip file & snapshot inside a directory called Export (inside your main HoverDesk directory). If your theme already includes a full snapshot, then HoverDesk will place it into the zip file too. If not, then HoverDesk will take a full one but won't include it in the zip file.

When Exporting a theme via the Theme Manager, HoverDesk will create a file called yourtheme.HvD (in fact, the .Zip file is renamed into a .HvD one). A double-click on a .HVD file will automatically install the theme !

Theme Info:

Snapshot: HoverDesk can now take a snapshot of your theme and will display a preview (thumbnail) inside the Theme Manager. Please read carefully the snapshot options in the dialog box.

 Snapshot.gif (10064 bytes)

Theme Info: This Editable field contains Theme information about the current theme. You should choose to include this information with themes you intend to share or to obtain information about the current theme.

Themes: This menu lists the themes you have installed in your HoverDesk directory (more on installing themes). To change themes, highlight your selection and click the Apply Changes button or double click the desired theme.

Wallpaper: Here, you may browse for .jpg or .bmp images you wish to use as wallpaper. You may also select the display mode from the drop down menu.

You can include a wallpaper in same directory as your theme and when you change to that theme the custom wallpaper will be loaded with that theme. Hoverdesk will read a .bmp or a .jpg file, convert it to .bmp format and instruct Windows to use it as the wallpaper while Hoverdesk is running. If you close Hoverdesk, your old wallpaper will be restored.

The Template theme:

The Template theme is what Hoverdesk uses to create the basis for new themes. You should customize this template to suit your commonly used applications and tiles. Once this is done, new themes you create, will include all your personal favorites. Theme creation is simply drag & drop after that!


plugins

About Plug-ins:

Plug-ins are "modules" that are like "mini programs" You can enable or disable any installed plug-ins by right clicking the main tile and selecting Plugins. Check or uncheck the plug-ins you wish to use.

The plug-ins shown here are the ones that are included with the HoverDesk application. You may download additional plug-ins from the HoverDesk Plug in page.

PlugMenu.gif (15663 bytes)

All the plugins can be placed anyywhere on the Desktop and snapped to groups with the SHIFT Key.

Recycle Bin plugin :

Recycle.gif (5122 bytes)

Left Click will bring the default recycle bin menu, Right Click will bring the plugin menu.
To change the Empty texture/icon of the plug, hold the SHIFT key and drop a BMP/ICO on it. Hold the CRTL key and drop a BMP/ICO to change the Full image.

Clock Plugin :

A handy day/date/time display with an optional World Time Zone display feature. You can specify any number of time zones you wish. You must edit the Modules.ini file to include the names and GMT time zone information. What are GMT Time zones?

ClockMenu.jpg (4836 bytes)

Double click will bring the Windows Date/Time control panel. Right click will show the plug-in options menu.

To assign the 2 different textures on this plugin: Drop a BMP file onto this plugin in each separate mode ( Normal / WorldTime )

Customizing the colors of the Time/Calendar fonts :
Customizing the World Time Zone parameters:

Open the file Modules.ini in your theme folder, then modify the lines below :

[HDCLOCK]
texture = clock.bmp  (image name for standard clock)
worldbmp = WTclock.bmp  (image name for WorldTime clock)
ampm = 1  (entry created by right-click options - do not edit)
worldtime = 1  (entry created by right-click options - do not
edit)
UpTime = 1  (entry created by right-click options - do not
edit)
DateFntName = Tahoma (Font Name for Date display)
DateFntSize = 8  (Font Size for Date display)
DateColor = 0,0,0  (Font Color (RGB) for Date display)
DateOfX = 100  (Time text offset from left)
DateOfY = 100  (Time text offset from top)
UPFntName = Tahoma  (Font Name for Uptime display)
UPFntSize = 8  (Font Size for Uptime display)
UPFntColor = 0,0,0  (Font Color (RGB) for Uptime display)
UpTimeOfX = 60  (Uptime text offset from left)
UpTimeOfY = 79  (Uptime text offset from top)
TimeFntName = Tahoma  (Font Name for Time display)
TimeFntSize = 8  (Font Name for Time display)
TimeColor = 0,0,0  (Font Color (RGB) for Time display)
TimeOfX = 60  (Time text offset from left)
TimeOfY = 4  (Time text offset from top)
wtfntname = Tahoma  (Font Name for World Time display)
wtfntsize = 8  (Font Size for World Time display)
wtfntcolor = 255,255,255 (Font Color (RGB) for World Time display)
wtofsx = 5 (TimeZone Name text offset from left)
wtofsy = 21 (TimeZone Name text offset from top)
wtofsxtime = 60  (TimeZone Time text offset from left)
wtCity = Paris,Dallas,Brazil,LA  (TimeZones can be named
anything you desire)
wtGMT = +1,-6,-4,-5  (GMT factors)
DateFormat = 0  (entry created by right-click options - do not
edit)
trans = 0  (entry created by right-click options - do not edit)

Virtual Desktop or VWM (4 desktops) :

VWM.gif (3864 bytes)

Left click to change the active screen. To change the texture, drop a BMP file on the plugin. You may create a custom bitmap to be displayed over the active screen. A default Highlight effect is applied if this bitmap is not specified. To change the active bitmap, SHIFT+Drag a BMP file onto the plug-in.

Right click will bring the plugin menu. You may enable transparency if the texture image contains transparent areas, Select alternate layouts for the VWM (2x2, 4x1Horiz, 1x4Vert). Theme creators should include alternate VWM images for each configuration.

Open the file Modules.ini in your theme folder, then modify the lines below :

[HDVWM]
texture=VWM.bmp (image name for VWM background))
active=VWM Selected.bmp (image name for Hilighted graphic)
VWM_OfX=17 (Active area of VWM offset from left)
VWM_OfY=16 (Active area of VWM offset from top)
VWM_WIDTH=100 (Active area Width of VWM)
VWM_HEIGHT=9 (Active area Height of VWM)
VWMMode=1 (entry created by right-click options - do not edit)
trans=0 (entry created by right-click options - do not edit)

CPU Monitor :

CPU.gif (3222 bytes)

Right click will bring the plugin menu. Double click to swap between CPU / MEM / SWP monitor. Place the mouse over the plug to show the tooltips with CPU % values. To change the texture, drop a BMP file on the plugin.
NOTE: You may view more than one statistic at a time, check which items you wish to view.

Customizing the colors of the Graph / Bars :
Open the file Modules.ini in your theme folder, then modify the lines below :

[HDCPURES]
fntname = small  (Font Name for percentage display)
fntsize = 6 (Font Size for percentage display)
start = 7   (Minimum displayable percentage)
percent = 1 (entry created by right-click options - do not edit)
fast = 0   (entry created by right-click options - do not edit)
trans = 0 (entry created by right-click options - do not edit)
CPUStartColor = 0,188,0 (RGB color for CPU indicator)
CPUEndColor = 255,0,0 (RGB color for CPU indicator)
cpuX = 14   (CPU display area Upper Left coordinates)
cpuY = 18   (CPU display area Lower Right coordinates)
cpuW = 17   (CPU display area Width)
cpuH = 18   (CPU display area Height)
vertCPU = 1  (entry created by right-click options - do not
edit)
MEMStartColor = 0,188,0 (RGB color for Memory indicator)
MEMEndColor = 255,0,0  (RGB color for Memory indicator)
memX = 47  (MEM display area Upper Left coordinates)
memY = 18  (MEM display area Lower Right coordinates)
memW = 17  (MEM display area Width)
memH = 18 (MEM display area Height)
vertMEM = 1  (entry created by right-click options - do not
edit)
SWPStartColor = 0,188,0  (RGB color for Swap indicator)
SWPEndColor = 255,0,0  (RGB color for Swap  indicator)
swpX = 81  (Swap display area Upper Left coordinates)
swpY = 18   (Swap display area Lower Right coordinates)
swpW = 17   (Swap display area Width)
swpH = 18  (Swap display area Height)
vertSWP = 1 (entry created by right-click options - do not edit)
GRAFStartColor = 0,188,0  (RGB color for Graphic CPU useage
indicator)
GRAFEndColor = 255,0,0  (RGB color for Graphic CPU useage
indicator)
grfX = 2  Graph display area Upper Left coordinates)
grfY = 35  (Graph display area Lower Right coordinates)
grfW = 61  (Graph display area Width)
grfH = 28  (Graph display area Height)
unfilledGRAF = 0 (entry created by right-click options - do not
edit)
PercentColor = 255,255,255  (RGB color forpercentage text)
texture = cpu.bmp  (Image name for Module background image)

Command Line :

CommandLine.gif (5047 bytes)

Customizing the Command Line:
Open the file Modules.ini in your theme folder, then modify the lines below :

[HDCMD]
arrowbmp = arrow_command.bmp  (Image name for Drop Down Arrow
image)
posx = 6   (Command text offset from left)
posy = 26   (Command text offset from top)
cmdwidth = 188   (Command text maximum length in pixels)
CMDColor = 105,105,105   (RGB color for Command text
background)
BorderColor = 0,0,0  (RGB color for Border)
FntColor = 0,0,0   (RGB color for Command text)
trans = 0  (entry created by right-click options - do not edit)
texture = commandline.bmp    (Image name for Module
background image)

EyeDropper : Not Included - available at the HoverDesk Plug in page.
Refer to the instructions included with the plug-in for configuration details.

Eyedrop.gif (5056 bytes)

Hold the Left mouse button on the plugin, then move your mouse over the Desktop and it will capture the part of the screen below your mouse cursor, and display the color value.

Right-Click on plug will bring the Plug menu (Zoom / Copy ) Double click on it will swap between RGB / HEX values NOTE: you can specify manually the values in the R / G / B fields. To change the texture, drop a BMP file on the plugin.

Winamp Controller: Not Included - available at the HoverDesk Plug in page.
Refer to the instructions included with the plug-in for configuration details.

HDAmp.jpg (11828 bytes)

HoverNews: Not Included - available at the HoverDesk Plug in page.
Refer to the instructions included with the plug-in for configuration details.

HDAmp.jpg (11828 bytes)


NewTheme

Creating a New Theme:

Creating a new theme is easy! Right Click on the main tile and select Theme Manager once you're in the theme manager, you can select Create New Theme.

NewTheme.gif (13069 bytes)

New Theme:

You will be prompted to name your new theme (often the hardest part), and fill in the author / description details within the Theme Info section.Then just click Create!. A default theme will be created with several common default tiles in place (Template Theme). Now create your theme by dragging and dropping applications (.exe files) icons and custom bitmaps you have created, onto tiles. Create new tiles by dragging .exe files to the main tile.

You may wish to include a custom wallpaper. Don't forget to customize the appearance of the plug-ins and the taskbar.

Multi Resolution capabilities:

Multi-res Wallpaper management ! : HoverDesk can now display a different wallpaper according to the user screen resolution. This means HvD can loads a wallpaper for a 1024 res or a different one for a 1280 res. etc.. To do so, you need to create your different wallpapers and name them like that : If your main wallpaper file is called "MyWall.jpg" or .bmp then name the other resolutions wallpaper files "MyWall.jpg.1024" or "MyWall.jpg.1280" etc .. or "MyWall.bmp.1024", "MyWall.bmp.1280" etc...

Multi-Res support : HoverDesk is now fully resolution independant ! but skinner should place/arrange their theme for each resolution. Here is how to do this :

When you have placed all your tiles in your current resolution, please quit HoverDesk, then change your screen resolution (for ex : 1024 to 800) and restart HoverDesk. Now please replace all the tiles, quit HoverDesk and change again your res, etc … You will see that HoverDesk will save all ini files to files with an extension matching the current res. For ex : hdapps.ini -> hdapps.1024 hdapps.800 etc ..

When a user will run a multi-res theme, HoverDesk will first check the current resolution, then see if it can find the matching res files (hdapps.curr_res, modules.curr_res etc …) and copy them into .ini files.
If you have a multi-res theme, you then can change your screen resolution « on the fly » and HoverDesk will automatically reload the matching theme resolution !!!! Cool, huh ?

This means : you can have a different placement/textures/config for a different resolution in a single theme package !!!

The Template theme:

The Template theme is what Hoverdesk uses to create the basis for new themes. You should customize this template to suit your commonly used applications and tiles. Once this is done, new themes will include all your personal favorites. Theme creation is simply drag & drop after that!


debuggin

Debugging HoverDesk Themes:

When creating HoverDesk themes, it sometimes happens that tiles may get lost, or placed beneath other tiles. Using HoverDesk's new theme diagnostic tool, you can find these errors and create better themes.

General Use:

In the main tile popup menu (right click the main tile), you will see a Debug Mode entry. When checking that option, HoverDesk
will run in debug mode which means :

1- HvD will display ALL the tiles (even the ones hidden) like that, you can see tiles which may have been orphaned during the theme creation process, and not used. (then you can delete them).
2- Moving the mouse over a tile will display its number, and parent number (group tile number)
3- If you click on a tile (tile is selected), then click on a second one, then the second one will become the parent of the first one. Like that, it's easier to set the parent / child relationship in groups. TIP: This allows tiles to be grouped and not limited to adjacent tiles.
4- If you CTRL + left click on a tile, then its parent will blink.

To exit the Debug Mode, just uncheck the option inside the popup menu


Tips

Tips and tricks:

Tasksbar :

1) If you want to replace quickly your taskbar at the bottom of the screen, just put -1 in the "Offset Y" value in Taskbar configuration panel.

2) if you CTRL+click on a task tile, it will close the associated application

3) right-click on a task tile will bring up a menu with ability to close all open apps in a single click ( Close windows )

4) You can create a new tile FROM the taskbar. Simply hold the SHIFT key while clicking on a task tile, then drag this tile over your desktop ! HoverDesk will create a new tile with the correct app :)

5) You can assign your own custom icons for the task tile. For ex : launch Word, and drop a .ico on the task tile representing Word. Next time you will launch Word, your icon will be displayed on the task tile.

Quickly changing an application path on an existing tile : Simply drop the new app (exe/folder/weblink) on this tile.

Resetting the Desktop Area : If you put -1 in each fieds of Top/Left/Right/Bottom, HoverDesk will put back your Windows default desktop area.

Creating Hover effects on tiles: Create new texture graphics for hover effects and assign them to selected tiles by SHIFT+Dragging to the desired tile(s).

Tasklist Popup Menu : You can quickly close an app listed in the tasklist popup menu : hold the CTRL key and left click on the window name in the tasklist.

Command Line plugin : You can drop any file (except bmp which would change the texture) onto the Command Line to add parameters.


 ::: Running HoverDesk as Shell :::
Running HoverDesk as Shell (by Alexander BECHERER -moshi-)

The new HoverDesk v2.50 can not only run on top of explorer.exe, but also as a replacement shell. But please be aware that HoverDesk´s main goal is a desktop replacement and not a shell replacement. Also you will need a third-party application to display your system tray. Running HoverDesk as shell is still experimental and is neither recommended nor supported by Hover Inc. All we can do is to provide you with information on how to configure HoverDesk running as a shell. Of course the HoverDesk forums will be a great place to discuss your experiences and to ask for help.

ShellON

We recommend to use a shell manager when you want to use different shells. A shell manager will also help you to get back to the default explorer shell easily when you are not satisfied with running a replacement shell.

A very good and widely used freeware shell manager is ShellOn by Michael Rhodes (Delusional). You can download it either from the ShellOn website or from the ShellFront utilities list. We recommend to use either v2.32 or v3.0 beta2. We do not recommend to use v3.0 beta1, as this version was very buggy on our test system.

After downloading ShellOn please carefully read the documentation that came with the program. Be sure that you understand what you are going to do.

Now run the ShellOn configuration program (config.exe). Follow the instructions in the ShellOn documentation. Do not forget to add explorer.exe to the shell list. Check the "Prompt for shell" checkbutton, so after logging in you will get a dialog window that will ask you which shell to load. Also click the "Set ShellOn as Shell" button. You can also set up ShellOn up for multiple users, so it loads shells based on your Windows username. Have a close look at the documention to see how to do that.

After you have finished the ShellOn configuration you are ready to reboot windows. Now you are able to choose which shell to use after logging in. When you are running HoverDesk as shell you will notice that you are missing your system tray.

Alternatives:
Snafkin shell manager ( english ) ( japanese )

System Tray Replacement

An interesting application to display the system tray is SharpTray.exe. It´s colors can be customized and it´s visibility can be toggled when clicking on it´s borders. SharpTray.exe is part of the SharpE shell by Low Dimension International ( website ). Do not set SharpE as your default shell during the SharpE installation! You can later add an entry to ShellOn. To use SharpTray.exe in combination with HoverDesk create a text file in your HoverDesk directory with the following content (paths will probably vary on your system):

@echo off
"C:\SharpE\Core\SharpTray.exe"
"C:\Progra~1\HoverDesk\HoverDesk.exe"

Now rename this text file to HVD.bat . Open the ShellOn configuration. Select the HoverDesk entry and click the "Edit ..." button; or create a new entry. Set the path to the newly created HVD.bat file. Log off to test your configuration.

An other program to display your system tray is Traymodule.exe by AM Productions ( website ). An advantage of this program is that you can toggle it´s visibility with the CTRL+W hotkey as when running HoverDesk on top of explorer. A disadvantage is that displaying the systray content does not work when it is run before running HoverDesk. So it is only useful if your systray is empty at startup. If your system is set up this way,just put a link in your Startup group in your Start Menu.

Setting as shell without using a shell manager

 Windows 9.x/ME

Run your favorite text editor and open your c:\windows\system.ini file. If you set up your Windows to a different directory look at this directory to find system.ini there. We recommend to make a backup of your system.ini file, before you edit it! Have a look at the [boot] section of the system.ini file. you will find a line like this:
shell=explorer.exe
Comment out this line by placing a semi-colon in front of it and add a new line, so it looks like this (paths may vary on your system, use DOS names):
;shell=explorer.exe
shell=c:\progra~1\hoverd~1\hvd.bat

Now you can reboot and you will boot into HoverDesk as shell. To go back to explorer, just open c:\windows\system.ini again and then change it back to the state it was before.

Windows NT/2000/XP

To set HoverDesk as your shell in NT-based operating systems without using a shell manager you will have to edit your registry. This can damage your system seriously. Hover Inc. does NOT recommend to edit your registry.

If you want to set up HoverDesk as your shell through editing the registry, you can find very good documentation in the LS FAQ by Necro. Just replace all paths to LiteStep.exe with paths to your shell. The LS FAQ is an excellent source for information concerning LiteStep, but is also a good reading when you want to run a different shell.


links

HoverDesk Links:

Tutorial (by John Hughes) : A great tutorial for creating your own HoverDesk Themes can be found here:

 Tutorial.jpg (9997 bytes)

Themes: Here are several places where you can find Hoverdesk themes for download. New themes are added frequently, visit these sites often and post your themes too:

DRIbutton.gif (3429 bytes) devart-button.gif (2806 bytes) honz12.gif (2276 bytes) Customize1.gif (2157 bytes) los.gif (19477 bytes) pixbutton2.gif (2752 bytes)

Plug Ins : Download the latest new plugins from the HoverDesk Plug-ins page.

Forum : Get answers to your Hoverdesk questions and find the latest Hoverdesk news at the HVD forums:

HVDlogo.jpg (9639 bytes)

The HoverDesk Homepage :

hvdlink.gif (27408 bytes)

Special Thanks to (in alphabetical order) : Alexander Becherer, Johanne Chainé, Edwin Eijboer, John Hughes, Scott Jarkoff, Marc McQuillan, Anthony Meeks, Manfred Roessel, Renato C. Veras, and all HoverDesk users for their help and support !


register

HVDlogo.gif (5842 bytes)

Registration:

HoverDesk is shareware. Buy a time-unlimited (cost free upgrades) license for only 19.95$!
Click on the Register button and you will be taken to a secured website in order to fill out some required information. You'll receive a registration code within 48 hours.

If you prefer paying by mail, you can print the Order Form (Order.rtf) in the Hoverdesk directory.


disclaimer

END-USER LICENSE AGREEMENT for Hoverdesk, herein referred to as the SOFTWARE Copyright 1999 2000-2002 © by Thibaud DJIAN (referred to herein as the DEVELOPER) & Russell SCHWENKLER.
IMPORTANT-READ CAREFULLY:
This End-User License Agreement ("EULA") is a legal agreement between you (either an individual or a single entity) and the DEVELOPER of the software product(s) identified above ("SOFTWARE PRODUCT" or "SOFTWARE"). The SOFTWARE PRODUCT includes computer software, the associated media, any printed materials, and any "online" or electronic documentation. By installing, copying or otherwise using the SOFTWARE PRODUCT, you agree to be bound by the terms of this EULA. If you do not agree to the terms of this EULA, the DEVELOPER is unwilling to license the SOFTWARE PRODUCT to you. In such event, you may not use or copy the SOFTWARE PRODUCT.
SOFTWARE PRODUCT LICENSE. The SOFTWARE PRODUCT is protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties. The SOFTWARE PRODUCT is a standalone SHAREWARE.
1. GRANT OF LICENSE. This EULA grants you the following rights: You may install and use the SOFTWARE PRODUCT on one or more computers for a period of 30 days, after which you must purchase it or remove it from your system.
2. DESCRIPTION OF OTHER RIGHTS AND LIMITATIONS.You may not reverse engineer, decompile, or disassemble the SOFTWARE PRODUCT, except and only to the extent that such activity is expressly permitted by applicable law notwithstanding this limitation.The SOFTWARE PRODUCT is licensed as a single product. Its component parts may not be separated for use.You may not rent or lease the SOFTWARE PRODUCT.The sale of and or distribution of copies of this software is strictly forbidden without the permission of the DEVELOPER.Without prejudice to any other rights, the DEVELOPER may terminate this EULA if you fail to comply with the terms and conditions of this EULA. In such event, you must destroy all copies of the SOFTWARE PRODUCT and all of its component parts. The author may, from time to time, revise or update the Software. In so doing, the author incurs no obligation to furnish such revision or updates to you. Any use of the SOFTWARE PRODUCT which is illegal under international or local
law is forbidden by this licence. Any such action is the sole responsibility of the person committing the action.
3. UPGRADES. If the SOFTWARE PRODUCT is an upgrade, you now may use that upgraded product only in accordance with this EULA.
4. OEM COPYRIGHT. All title and copyrights in and to the SOFTWARE PRODUCT (including but not limited to any images, photographs, animations, video, audio, music, text and "applets" incorporated into the SOFTWARE PRODUCT), the accompanying printed materials, and any copies of the SOFTWARE PRODUCT, are owned by DEVELOPER. The SOFTWARE PRODUCT is protected by copyright laws and international treaty provisions. You may not copy the printed materials accompanying the SOFTWARE PRODUCT.
5. THEME COPYRIGHT. All graphics, images, animation, icons, sounds or other media are considered the property of theTheme Author. The Developer does not assume any ownership of user submitted materials. All media contained within HoverDesk Themes are copyright the respective Theme Author. Any unauthorised use is forbidden without the express consent ot the Theme Author.
6. OEM PRODUCT SUPPORT. The DEVELOPER is under no obligation to provide technical support under the terms of this license.
7. THE DEVELOPER HEREBY DISCLAIMS ANY AND ALL LIABILITY, EXPRESS OR IMPLIED IN CONJUNCTION WITH THE USE OR INABILITY TO USE THIS SOFTWARE. THIS DISCLAIMER OF LIABILITY EXTENDS TO ANY AND ALL EXPRESS OR IMPLIED REPRESENTATIONS OR WARRANTIES, INCLUDING ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR NON-INFRINGEMENT. IN NO EVENT WILL THE DEVELOPER OR ITS LICENSORS BE LIABLE FOR ANY LOST REVENUE, PROFIT OR DATA, OR FOR DIRECT, INDIRECT, SPECIAL, CONSEQUENTIAL, INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER CAUSED AND REGARDLESS OF THE THEORY OF LIABILITY, RELATING TO THE USE, DOWNLOAD, DISTRIBUTION OF OR INABILITY TO USE SOFTWARE, EVEN IF THE DEVELOPER OR ITS LICENSORS HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. SOFTWARE AND DOCUMENTATION ARE PROVIDED "AS IS."